CONNECTION PRODUCT FREQUENTLY ASKED QUESTIONS

Topics:

1. Parallel Port recognition issues
2. Miniport Driver (MPD) loading problems
3. Uninstalling or preventing a MPD from loading
4. Removing the software from your system
5. Assigning/Reassigning the device drive letter
6. Media card products and Plug'n'Play 
 
1. Parallel Port recognition issues
The system has an EPP parallel port, but the MPD does not initialize in EPP resulting 
in lower than expected speed. 

Solution:
The MPD will initialise in EPP only for parallel port port bases set to 378h 
and 278h. If the parallel port to which the device is connected is configured 
for 3BCh, the MPD will not init in EPP.

Check the port base setting for the parallel port to which the device is 
connected in the following way:
From the Device Manager, expand the Ports(LPT and COM) item.
Click on the LPT port, Click on Properties, Select the Resources tab and the port base 
setting will be displayed. Change it to 378h or 278h and re-boot the system.

Check that the configuration for the parallel port in the systems CMOS setting also 
reflects the same change that has been made in the Device Manager.

Check if the parallel port mode setting in the CMOS is set to EPP.

A utility called PPTool is included on your installation diskette.  Running PPTool 
will provide you with information about your system configuration and will allow you 
to determine the maximum data rates that your parallel port can sustain.

2. Miniport Driver (MPD) loading problems
The system crashes after installing the MPD.

Solution:
a. Disconnect the device and bring up the system. 
b. In the Device Manager, expand the SCSI adapters item, click on the Card reader device 
entry, click on Properties, select the Settings tab, 
c. Type "/DE", 
d. Save and re-boot the system after connecting the device.

If this does not work:
Repeat steps a and b.
c. Type "/R2 /W2 /DI"
d. Save and re-boot the system after connecting the device.

Configuration clashes often lead to problems that crash the system or prevent the 
MPD from loading successfully. Check that the other devices installed in 
the system are not configured to use the same port base and IRQ values. 
A typical example is Sound Cards which are popularly configured to use IRQ 7.  Refer 
to section 10. for more information on this topic.

3. Uninstalling or preventing a device from loading
Solution:
To unistall the device, in the Device Manager expand the SCSI Adapters item, 
select the entry for the media card reader device, Click on Remove. Confirm when the 
confirmation dialogue box appears and re-boot the system to reflect the change. 
The device entry will now no longer appear in the Device Manager under SCSI 
Adapters.
The MPD will NOT be deleted from it's installed path. 

To prevent the device from loading, in the Device Manager, expand the SCSI 
Adapters item, the media card reader device entry, Click on Properties, un-check the box that reads 
"Original Configuration[Current]". Re-boot the system, the MPD will not load. This 
can be verified  by the red "X" that will be displayed alongside the MPD entry in 
the Device Manager.

4. Removing the software from your system
The software can be removed by using the Add/Remove Programs utility in the 
Control Panel folder.  Select the driver entry, click on Add/Remove and then
confirm the delete.

5. Assigning/Reassigning the device drive letter
In the Device Manager, select the device by clicking on it, Click on the 
Settings tab, change the drive letter displayed and re-boot the system to reflect 
the change.

6. Media card products and Plug'n'Play
Do these products support PnP?
 
Answer:
PnP enabled devices will be auto detected by Win 95 and can be installed by the 
Hardware Wizard. Insert the installation MPD diskette when prompted and subsequently 
check in the Device Manager for the MPD entry under SCSI Controllers.

Disconnecting and reconnecting a PnP device will require a Refresh to be 
forced at the Device Manager.

